import { AbstractTapWriter } from "./Tap";
import { TextWriter } from "@implab/core-amd/interfaces";

export class TextTapWriter extends AbstractTapWriter {

    private readonly _writer: TextWriter;

    constructor(writer: TextWriter) {
        super();

        this._writer = writer;
    }

    _writeLine(text: string) {
        this._writer.writeLine(text);
    }

}